# infrastructure/longhorn/adopt/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - longhorn-adopt-rbac.yaml
  - longhorn-helm-adopt-job.yaml

configMapGenerator:
  - name: longhorn-helm-adopt-script
    namespace: longhorn-system
    files:
      - longhorn_helm_adopt.sh=scripts/longhorn_helm_adopt.sh
    options:
      disableNameSuffixHash: true
